#ifndef PAMVMC_DET_TOF_H
#define PAMVMC_DET_TOF_H

#include "PamVMCDetector.h"

#include "PamVMCDetTofS1.h"
#include "PamVMCDetTofS2.h"
#include "PamVMCDetTofS3.h"

class PamVMCDetTof  : public PamVMCDetector {

 public:


   PamVMCDetTof():PamVMCDetector("Tof") 
  { 
    TString t = "S1";
    fsubdet.Add( new TObjString(t), new PamVMCDetTofS1());
    t = "S2";
    fsubdet.Add( new TObjString(t), new PamVMCDetTofS2());
    t = "S3";
    fsubdet.Add( new TObjString(t), new PamVMCDetTofS3());
  }

   void DefineGeometry(){; };

   void DefineCuts(){; };

  ClassDef(PamVMCDetTof,1)
};


#endif //PAMVMC_DET_TOF_H
